---
navigation: true
title: Nvidia Stock Bot
main:
  fluid: false
---
:ellipsis{left=0px width=40rem top=10rem blur=140px}

# 🤖 Nvidia Stock Bot
---

For the past four years, the electronics hardware shortage has been relentless. Graphics cards are no exception. In 2020, I had to wait two months to get my RTX 3080. To manage it, I joined [JV Hardware](https://discord.gg/gxffg3GA96), where a small group of geeks had set up a bot that pinged users when GPUs became available.

Four years later and with 5,000 members on the server, the RTX 5000 series is being released. Yet, no working stock bot seems to exist. Not to mention a certain “influencer” who charges users for access to a bot that doesn’t even work. He manually copies alerts from other servers like ours, which have already solved the issue.

Anyway, eager to get an RTX 5090 for my AI-dedicated machine, I decided it was time to dive into Python—with a little help from ChatGPT. Along with another member, KevOut, who helped guide me through the APIs and initial architecture, I ended up building a clean and functional bot that sends different kinds of Discord alerts—all deployable in a simple Docker container.

After many setbacks, I went from this:

![Nvidia Stock Bot Old](/img/nonsense/nvidia-stock-bot-old-en.svg)

To this:

![Nvidia Stock bot](/img/nonsense/nvidia-stock-bot-en.svg)

And more recently :

![Nvidia Stock bot](/img/nonsense/nvidia-stock-bot-en-v4.svg)

And I was also lucky enough to be referenced in the famous [selfhost newsletter](https://selfh.st/weekly/2025-07-11/) !

More info directly on the repo:

::card
#title
  🐋 __Nvidia Stock Bot__
#description
  [Nvidia GPU stock alert bot](https://git.djeex.fr/Djeex/nvidia-stock-bot)
::
